## fqterm 0.9.3+svn632

=== CMakeLists.txt ===
project(fqterm)

set(FQTERM_VERSION "0.9.3")

cmake_minimum_required( VERSION 2.4.2 FATAL_ERROR )

set(CMAKE_MODULE_PATH
  ${CMAKE_SOURCE_DIR}/cmake
)

IF(NOT CMAKE_BUILD_TYPE) 
    SET(CMAKE_BUILD_TYPE "MinsizeRel") 
ENDIF(NOT CMAKE_BUILD_TYPE)

set(CMAKE_COLOR_MAKEFILE ON)

find_package(Qt4 REQUIRED)
include(${QT_USE_FILE})

qt4_add_translation(fqterm_qm_files
  ${CMAKE_SOURCE_DIR}/res/dict/fqterm_zh_CN.ts
  ${CMAKE_SOURCE_DIR}/res/dict/ui_zh_CN.ts
)

add_custom_target(fqterm_qm_target
  DEPENDS ${fqterm_qm_files}
)

IF(WIN32)
  FILE(READ ${QT_LIBRARY_DIR}/QtCore.prl FQ_CORE_QT_CONFIG)
ELSE(WIN32)
  FILE(READ ${QT_LIBRARY_DIR}/libQtCore.prl FQ_CORE_QT_CONFIG)
ENDIF(WIN32)

IF(NOT FQ_CORE_QT_CONFIG MATCHES "static")
  SET(FQTERM_USE_STATIC_QT false)
ELSE(NOT FQ_CORE_QT_CONFIG MATCHES "static")
  SET(FQTERM_USE_STATIC_QT true)
ENDIF(NOT FQ_CORE_QT_CONFIG MATCHES "static")

SET(SUB_CMAKELIST "UNKNOWN")

IF(WIN32)
  SET(SUB_CMAKELIST "CMakeLists.txt.win32")
ELSE(WIN32)
  IF(APPLE)
    SET(SUB_CMAKELIST "CMakeLists.txt.macos")
  ELSE(APPLE)
    IF(UNIX)
      IF(CMAKE_SYSTEM_NAME MATCHES "Linux")
        SET(SUB_CMAKELIST "CMakeLists.txt.linux")
      ELSE(CMAKE_SYSTEM_NAME MATCHES "Linux")
		IF(CMAKE_SYSTEM_NAME MATCHES "FreeBSD")
		  SET(SUB_CMAKELIST "CMakeLists.txt.freebsd")
		ENDIF(CMAKE_SYSTEM_NAME MATCHES "FreeBSD")
      ENDIF(CMAKE_SYSTEM_NAME MATCHES "Linux")
    ENDIF(UNIX)
  ENDIF(APPLE)
ENDIF(WIN32)

IF(SUB_CMAKELIST MATCHES "UNKNOWN")
  MESSAGE(FATAL_ERROR "Unsupported system type detected!")
ELSE(SUB_CMAKELIST MATCHES "UNKNOWN")
  INCLUDE("${SUB_CMAKELIST}")
ENDIF(SUB_CMAKELIST MATCHES "UNKNOWN")

=== src/ui/CMakeLists.txt ===
set(fqterm_ui_SRCS
  aboutdialog.h
  addrdialog.h
  articledialog.h
  keydialog.h
  msgdialog.h
  prefdialog.h
  quickdialog.h
  schemadialog.h
  soundconf.h
  sshlogindialog.h
  zmodemdialog.h
  aboutdialog.cpp
  addrdialog.cpp
  articledialog.cpp
  keydialog.cpp
  msgdialog.cpp
  prefdialog.cpp
  quickdialog.cpp
  schemadialog.cpp
  soundconf.cpp
  sshlogindialog.cpp
  zmodemdialog.cpp
  osdmessage.h
  osdmessage.cpp
  overlayWidget.h
  overlayWidget.cpp
  pictureflow.h
  pictureflow.cpp
  popupMessage.h
  popupMessage.cpp
  popwidget.h
  popwidget.cpp
  progressBar.h
  progressBar.cpp
  fqterm_time_label.h
  fqterm_time_label.cpp
  fqterm_tool_button.h
  fqterm_tool_button.cpp
  imageviewer.h
  imageviewer.cpp
  statusBar.h
  statusBar.cpp
  fqterm_canvas.h
  fqterm_canvas.cpp
  sitemanager.h
  sitemanager.cpp
)

set(fqterm_ui_gen_HS
  ui_aboutdialog.h
  ui_addrdialog.h
  ui_articledialog.h
  ui_keydialog.h
  ui_msgdialog.h
  ui_prefdialog.h
  ui_quickdialog.h
  ui_schemadialog.h
  ui_sitemanager.h
  ui_soundconf.h
  ui_sshlogin.h
  ui_zmodemdialog.h
)

set(fqterm_ui_UIS
  aboutdialog.ui
  addrdialog.ui
  articledialog.ui
  keydialog.ui
  msgdialog.ui
  prefdialog.ui
  quickdialog.ui
  schemadialog.ui
  sitemanager.ui
  soundconf.ui
  sshlogin.ui
  zmodemdialog.ui
)

qt4_wrap_ui(fqterm_ui_UIS_H
  ${fqterm_ui_UIS} 
)

qt4_automoc(
  ${fqterm_ui_SRCS}
  ${fqterm_ui_gen_HS}
)

qt4_create_translation(fqterm_ui_qm_file
  ${fqterm_ui_UIS}
  ${fqterm_ui_SRCS}
  ${CMAKE_SOURCE_DIR}/res/dict/ui_zh_CN.ts
)

include_directories(
  ${QT_INCLUDE_DIR}
  ${QT_QTCORE_INCLUDE_DIR}
  ${QT_QTGUI_INCLUDE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/../common
  ${CMAKE_CURRENT_BINARY_DIR}
)

add_library(fqterm_ui
  ${fqterm_ui_SRCS}
  ${fqterm_ui_gen_HS}
)

add_dependencies(fqterm_ui
  fqterm_common
)

## fqterm 0.9.3+svn666

=== src/CMakeLists.txt ===
add_subdirectory(common)

add_subdirectory(protocol)

add_subdirectory(ui)

add_subdirectory(terminal)

add_subdirectory(utilities)

add_subdirectory(fqterm)

=== src/utilities/CMakeLists.txt ===
set(fqterm_utilities_SRCS
  fqterm_convert.h
  fqterm_http.h
  fqterm_ip_location.h
  fqterm_python.h
  fqterm_convert.cpp
  fqterm_http.cpp
  fqterm_ip_location.cpp
  fqterm_python.cpp
)

set(fq_SRCS
  fqwcwidth.h
  fqwcwidth.cpp
)

qt4_automoc(${fqterm_utilities_SRCS})

include_directories(
  ${QT_INCLUDE_DIR}
  ${QT_QTCORE_INCLUDE_DIR}
  ${QT_QTGUI_INCLUDE_DIR}
  ${QT_QTNETWORK_INCLUDE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/../common
  ${CMAKE_CURRENT_BINARY_DIR}
)

add_library(fqterm_utilities
  ${fqterm_utilities_SRCS}
  ${fq_SRCS}
)

add_dependencies(fqterm_utilities
  fqterm_common
)

## fqterm 0.9.4.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(fqterm)
 
-set(FQTERM_VERSION "0.9.3")
+set(FQTERM_VERSION "0.9.4")
 
 cmake_minimum_required( VERSION 2.4.2 FATAL_ERROR )
 
@@ -20,6 +20,7 @@
 qt4_add_translation(fqterm_qm_files
   ${CMAKE_SOURCE_DIR}/res/dict/fqterm_zh_CN.ts
   ${CMAKE_SOURCE_DIR}/res/dict/ui_zh_CN.ts
+  ${CMAKE_SOURCE_DIR}/res/dict/protocol_zh_CN.ts
 )
 
 add_custom_target(fqterm_qm_target

=== src/common/CMakeLists.txt ===
set(fqterm_common_SRCS
  common.h
  common.cpp
  fqterm.h
  fqterm_trace.h
  fqterm_trace.cpp
  fqterm_config.h
  fqterm_config.cpp
  fqterm_sound.h
  fqterm_sound.cpp
  fqterm_param.h
  fqterm_param.cpp
  fqterm_path.h
  fqterm_path.cpp
  fqterm_font.h
  fqterm_font.cpp
  fqterm_exif_extractor.h
  fqterm_exif_extractor.cpp
  fqterm_filedialog.h
  fqterm_filedialog.cpp
)

qt4_automoc(${fqterm_common_SRCS})

include_directories(
  ${QT_INCLUDE_DIR}
  ${QT_QTCORE_INCLUDE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
)

add_library(fqterm_common
  ${fqterm_common_SRCS}
)

=== src/fqterm/CMakeLists.txt ===
set(fqterm_SRCS
  fqterm_autoupdate.h
  fqterm_frame.h
  fqterm_screen.h
  fqterm_window.h
  fqterm_wndmgr.h
  fqterm_autoupdate.cpp
  fqterm_frame.cpp
  fqterm_screen.cpp
  fqterm_window.cpp
  fqterm_wndmgr.cpp
)

qt4_automoc(${fqterm_SRCS})

qt4_create_translation(fqterm_qm_file
  ${fqterm_SRCS}
  ${CMAKE_SOURCE_DIR}/res/dict/fqterm_zh_CN.ts
)

include_directories(
  ${QT_INCLUDE_DIR}
  ${QT_QTCORE_INCLUDE_DIR}
  ${QT_QTGUI_INCLUDE_DIR}
  ${QT_QTNETWORK_INCLUDE_DIR}
  ${QT_QTSCRIPT_INCLUDE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/../common
  ${CMAKE_CURRENT_SOURCE_DIR}/../protocol
  ${CMAKE_CURRENT_SOURCE_DIR}/../terminal
  ${CMAKE_CURRENT_SOURCE_DIR}/../utilities
  ${CMAKE_CURRENT_SOURCE_DIR}/../ui
  ${CMAKE_CURRENT_BINARY_DIR}/../ui
  ${CMAKE_CURRENT_BINARY_DIR}
)

add_library(fqterm_main
  ${fqterm_SRCS}
)

add_dependencies(fqterm_main
  fqterm_common
  fqterm_terminal
  fqterm_protocol
  fqterm_ui
  fqterm_utilities
)

=== src/protocol/CMakeLists.txt ===
set(export_SRCS
  fqterm_socket.cpp
  fqterm_socket.h
  fqterm_ssh_socket.h
  fqterm_ssh_socket.cpp
  fqterm_mini_server.h
  fqterm_mini_server.cpp
)

set(internal_SRCS
  internal/crc32.h
  internal/fqterm_serialization.h
  internal/fqterm_ssh_auth.h
  internal/fqterm_ssh_buffer.h
  internal/fqterm_ssh_cipher.h
  internal/fqterm_ssh_const.h
  internal/fqterm_ssh_des.h
  internal/fqterm_ssh_hash.h
  internal/fqterm_ssh_kex.h
  internal/fqterm_ssh2_kex.h
  internal/fqterm_ssh_mac.h
  internal/fqterm_ssh_md5.h
  internal/fqterm_ssh_packet.h
  internal/fqterm_ssh1_packet.h
  internal/fqterm_ssh2_packet.h
  internal/fqterm_ssh_rsa.h
  internal/fqterm_ssh_channel.h
  internal/fqterm_ssh_types.h
  internal/fqterm_ssh_pubkey.h
  internal/crc32.cpp
  internal/fqterm_ssh_auth.cpp
  internal/fqterm_ssh_buffer.cpp
  internal/fqterm_ssh_des.cpp
  internal/fqterm_ssh_kex.cpp
  internal/fqterm_ssh2_kex.cpp
  internal/fqterm_ssh_mac.cpp
  internal/fqterm_ssh_md5.cpp
  internal/fqterm_ssh_packet.cpp
  internal/fqterm_ssh1_packet.cpp
  internal/fqterm_ssh2_packet.cpp
  internal/fqterm_ssh_rsa.cpp
  internal/fqterm_ssh_channel.cpp
)

qt4_automoc(
  ${export_SRCS}
  ${internal_SRCS}
)

include_directories(
  ${QT_INCLUDE_DIR}
  ${QT_QTCORE_INCLUDE_DIR}
  ${QT_QTNETWORK_INCLUDE_DIR}
  ${OPENSSL_INCLUDE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/internal
  ${CMAKE_CURRENT_SOURCE_DIR}/../common
  ${CMAKE_CURRENT_BINARY_DIR}
)

add_library(fqterm_protocol
  ${export_SRCS}
  ${internal_SRCS}
)

add_dependencies(fqterm_protocol
  fqterm_common
)

## fqterm 0.9.6.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(fqterm)
 
-set(FQTERM_VERSION "0.9.4")
+set(FQTERM_VERSION "0.9.6")
 
 cmake_minimum_required( VERSION 2.4.2 FATAL_ERROR )
 
@@ -14,23 +14,39 @@
 
 set(CMAKE_COLOR_MAKEFILE ON)
 
-find_package(Qt4 REQUIRED)
+find_package(Qt4 COMPONENTS QtCore QtGui QtNetwork QtScript REQUIRED)
+IF(APPLE)
+ELSE(APPLE)
 include(${QT_USE_FILE})
+ENDIF(APPLE)
 
 qt4_add_translation(fqterm_qm_files
   ${CMAKE_SOURCE_DIR}/res/dict/fqterm_zh_CN.ts
   ${CMAKE_SOURCE_DIR}/res/dict/ui_zh_CN.ts
   ${CMAKE_SOURCE_DIR}/res/dict/protocol_zh_CN.ts
+  ${CMAKE_SOURCE_DIR}/res/dict/common_zh_CN.ts
 )
 
 add_custom_target(fqterm_qm_target
   DEPENDS ${fqterm_qm_files}
 )
+FIND_PACKAGE(PythonLibs) 
+if (PYTHONLIBS_FOUND)
+  SET(PYTHON_LIB ${PYTHON_LIBRARIES}) 
+  INCLUDE_DIRECTORIES(${PYTHON_INCLUDE_PATH}) 
+  ADD_DEFINITIONS(-DHAVE_PYTHON)
+else (PYTHONLIBS_FOUND)
+  SET(PYTHON_LIB)
+endif (PYTHONLIBS_FOUND)
 
 IF(WIN32)
   FILE(READ ${QT_LIBRARY_DIR}/QtCore.prl FQ_CORE_QT_CONFIG)
 ELSE(WIN32)
-  FILE(READ ${QT_LIBRARY_DIR}/libQtCore.prl FQ_CORE_QT_CONFIG)
+  IF(APPLE)
+    FILE(READ ${QT_LIBRARY_DIR}/libQtCore.prl FQ_CORE_QT_CONFIG)
+  ELSE(APPLE)
+    FILE(READ ${QT_LIBRARY_DIR}/libQtCore.prl FQ_CORE_QT_CONFIG)
+  ENDIF(APPLE)
 ENDIF(WIN32)
 
 IF(NOT FQ_CORE_QT_CONFIG MATCHES "static")
@@ -59,8 +75,14 @@
   ENDIF(APPLE)
 ENDIF(WIN32)
 
+IF(CMAKE_SYSTEM_NAME MATCHES "GNU")
+  SET(SUB_CMAKELIST "CMakeLists.txt.linux")
+ENDIF(CMAKE_SYSTEM_NAME MATCHES "GNU")
+
 IF(SUB_CMAKELIST MATCHES "UNKNOWN")
   MESSAGE(FATAL_ERROR "Unsupported system type detected!")
 ELSE(SUB_CMAKELIST MATCHES "UNKNOWN")
   INCLUDE("${SUB_CMAKELIST}")
 ENDIF(SUB_CMAKELIST MATCHES "UNKNOWN")
+
+

=== src/fqterm/CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,10 @@
   fqterm_screen.cpp
   fqterm_window.cpp
   fqterm_wndmgr.cpp
+  fqterm_python.h
+  fqterm_python.cpp
+  fqterm_scriptengine.h
+  fqterm_scriptengine.cpp
 )
 
 qt4_automoc(${fqterm_SRCS})
@@ -28,6 +32,7 @@
   ${CMAKE_CURRENT_SOURCE_DIR}/../protocol
   ${CMAKE_CURRENT_SOURCE_DIR}/../terminal
   ${CMAKE_CURRENT_SOURCE_DIR}/../utilities
+  ${CMAKE_CURRENT_SOURCE_DIR}/../unite
   ${CMAKE_CURRENT_SOURCE_DIR}/../ui
   ${CMAKE_CURRENT_BINARY_DIR}/../ui
   ${CMAKE_CURRENT_BINARY_DIR}
@@ -43,4 +48,5 @@
   fqterm_protocol
   fqterm_ui
   fqterm_utilities
+  fqterm_unite
 )

=== src/ui/CMakeLists.txt ===
--- 
+++ 
@@ -39,12 +39,16 @@
   fqterm_tool_button.cpp
   imageviewer.h
   imageviewer.cpp
+  shortcutdialog.h
+  shortcutdialog.cpp
   statusBar.h
   statusBar.cpp
   fqterm_canvas.h
   fqterm_canvas.cpp
   sitemanager.h
   sitemanager.cpp
+  iplookup.h
+  iplookup.cpp
 )
 
 set(fqterm_ui_gen_HS
@@ -60,6 +64,7 @@
   ui_soundconf.h
   ui_sshlogin.h
   ui_zmodemdialog.h
+  ui_iplookup.h
 )
 
 set(fqterm_ui_UIS
@@ -75,6 +80,7 @@
   soundconf.ui
   sshlogin.ui
   zmodemdialog.ui
+  iplookup.ui
 )
 
 qt4_wrap_ui(fqterm_ui_UIS_H
@@ -97,6 +103,7 @@
   ${QT_QTCORE_INCLUDE_DIR}
   ${QT_QTGUI_INCLUDE_DIR}
   ${CMAKE_CURRENT_SOURCE_DIR}/../common
+  ${CMAKE_CURRENT_SOURCE_DIR}/../utilities
   ${CMAKE_CURRENT_BINARY_DIR}
 )
 
@@ -107,4 +114,5 @@
 
 add_dependencies(fqterm_ui
   fqterm_common
+  fqterm_utilities
 )

=== debian/changelog ===
fqterm (0.9.6.8-1) unstable; urgency=low

  * new upstream release.
  * debian/control: bump standards version to 3.8.4.

 -- LI Daobing <lidaobing@debian.org>  Sun, 21 Mar 2010 22:22:34 +0800

fqterm (0.9.6.3-1) unstable; urgency=low

  * new upstream version.
    - debian/patches/Hurd.diff: removed.
    - debian/patches/binutils-gold.diff: removed.

 -- LI Daobing <lidaobing@debian.org>  Wed, 25 Nov 2009 19:12:06 +0800

fqterm (0.9.5.2-1) unstable; urgency=low

  * new upstream version.
  * Convert package to dpkg source format 3.0 (quilt) 
  * debian/patches/Hurd.diff: added, fix FTBFS in Hurd (Closes: #532368)
  * debian/patches/binutils-gold.diff: fix FTBFS with binutils-gold
    (Closes: #554409)
  * remove deprecated files:
    - debian/patches/00list: delete.
    - debian/patches/cmake.dpatch: delete.

 -- LI Daobing <lidaobing@debian.org>  Wed, 11 Nov 2009 20:31:55 +0800

fqterm (0.9.4.4-1) unstable; urgency=low

  * New Upstream Version
  * debian/watch: updated. 
  * debian/control: bump standards version to 3.8.3.

 -- LI Daobing <lidaobing@debian.org>  Thu, 24 Sep 2009 19:49:04 +0800

fqterm (0.9.3+svn666-1ubuntu1) karmic; urgency=low

  * debian/watch: added. 

 -- LI Daobing <lidaobing@debian.org>  Tue, 09 Jun 2009 22:04:51 +0800

fqterm (0.9.3+svn666-1) unstable; urgency=low

  * Initial upload to Debian (closes: #479367)
  * new upstream snapshot.
  * add menu support:
    - debian/menu: added.
    - debian/fqterm.xpm: added, generated from res/pic/fqterm_128x128.png
    - debian/fqterm.install: added, install fqterm.xpm
  * debian/control:
    - change maintainer's email
    - bump standards version to 3.8.1

 -- LI Daobing <lidaobing@debian.org>  Wed, 22 Apr 2009 19:15:26 +0800

fqterm (0.9.3+svn632-0ubuntu1) jaunty; urgency=low

  * Initial Ubuntu package (LP: #285825)  

 -- LI Daobing <lidaobing@gmail.com>  Sat, 14 Feb 2009 09:32:53 +0800

=== debian/control ===
Source: fqterm
Section: x11
Priority: optional
Maintainer: LI Daobing <lidaobing@debian.org>
Build-Depends: cdbs, debhelper (>= 5), libqt4-dev, cmake,
 libglib2.0-dev, libssl-dev
Standards-Version: 3.8.4
Homepage: http://code.google.com/p/fqterm
Vcs-Browser: http://git.debian.org/?p=chinese/fqterm.git
Vcs-Git: git://git.debian.org/git/chinese/fqterm.git

Package: fqterm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: BBS client writtern in QT4
 FQTerm is one of the most widely used BBS client in China, it
 supports telnet/ssh1/ssh2 protocols and can process ANSI control
 sequences. It can be used to login BBS sites or *NIX hosts.
 .
 Almost all the BBSes in Greater China Region are in BIG5 or GBK
 encoding. So FQTerm only support these two encodings and ASCII.

## fqterm 0.9.6.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,10 @@
 set(FQTERM_VERSION "0.9.6")
 
 cmake_minimum_required( VERSION 2.4.2 FATAL_ERROR )
+
+if(COMMAND cmake_policy)
+  cmake_policy(SET CMP0003 NEW)
+endif(COMMAND cmake_policy)
 
 set(CMAKE_MODULE_PATH
   ${CMAKE_SOURCE_DIR}/cmake
@@ -13,6 +17,9 @@
 ENDIF(NOT CMAKE_BUILD_TYPE)
 
 set(CMAKE_COLOR_MAKEFILE ON)
+
+include(${CMAKE_MODULE_PATH}/VersionControl.cmake)
+vcs_get_revision(MCGSVN_WC_REVISION)
 
 find_package(Qt4 COMPONENTS QtCore QtGui QtNetwork QtScript REQUIRED)
 IF(APPLE)
@@ -64,13 +71,13 @@
     SET(SUB_CMAKELIST "CMakeLists.txt.macos")
   ELSE(APPLE)
     IF(UNIX)
-      IF(CMAKE_SYSTEM_NAME MATCHES "Linux")
+      IF(CMAKE_SYSTEM_NAME MATCHES "Linux|kFreeBSD")
         SET(SUB_CMAKELIST "CMakeLists.txt.linux")
-      ELSE(CMAKE_SYSTEM_NAME MATCHES "Linux")
+      ELSE(CMAKE_SYSTEM_NAME MATCHES "Linux|kFreeBSD")
 		IF(CMAKE_SYSTEM_NAME MATCHES "FreeBSD")
 		  SET(SUB_CMAKELIST "CMakeLists.txt.freebsd")
 		ENDIF(CMAKE_SYSTEM_NAME MATCHES "FreeBSD")
-      ENDIF(CMAKE_SYSTEM_NAME MATCHES "Linux")
+      ENDIF(CMAKE_SYSTEM_NAME MATCHES "Linux|kFreeBSD")
     ENDIF(UNIX)
   ENDIF(APPLE)
 ENDIF(WIN32)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -8,4 +8,6 @@
 
 add_subdirectory(utilities)
 
+add_subdirectory(unite)
+
 add_subdirectory(fqterm)

=== src/common/CMakeLists.txt ===
--- 
+++ 
@@ -18,6 +18,8 @@
   fqterm_exif_extractor.cpp
   fqterm_filedialog.h
   fqterm_filedialog.cpp
+  fqterm_shortcuthelper.h
+  fqterm_shortcuthelper.cpp
 )
 
 qt4_automoc(${fqterm_common_SRCS})
@@ -25,6 +27,7 @@
 include_directories(
   ${QT_INCLUDE_DIR}
   ${QT_QTCORE_INCLUDE_DIR}
+  ${QT_QTGUI_INCLUDE_DIR}
   ${CMAKE_CURRENT_BINARY_DIR}
 )

=== src/fqterm/CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,12 @@
 set(fqterm_SRCS
+  fqterm_app.h
   fqterm_autoupdate.h
   fqterm_frame.h
   fqterm_screen.h
   fqterm_window.h
   fqterm_wndmgr.h
   fqterm_autoupdate.cpp
+  fqterm_app.cpp
   fqterm_frame.cpp
   fqterm_screen.cpp
   fqterm_window.cpp
@@ -15,7 +17,32 @@
   fqterm_scriptengine.cpp
 )
 
-qt4_automoc(${fqterm_SRCS})
+
+IF(WIN32)
+  set(global_shortcut_impl_SRCS 3rdparty/qxtglobalshortcut_win.cpp)
+ELSE(WIN32)
+  IF(APPLE)
+    set(global_shortcut_impl_SRCS 3rdparty/qxtglobalshortcut_mac.cpp)
+  ELSE(APPLE)
+    set(global_shortcut_impl_SRCS 3rdparty/qxtglobalshortcut_x11.cpp)
+  ENDIF(APPLE)
+ENDIF(WIN32)
+
+  
+
+set(3rdparty_SRCS
+  3rdparty/dotnetstyle.cpp
+  3rdparty/dotnetstyle.h
+  3rdparty/qxtglobalshortcut.cpp
+  3rdparty/qxtglobalshortcut.h
+  3rdparty/qxtglobalshortcut_p.h
+  3rdparty/qxtglobal.h
+  ${global_shortcut_impl_SRCS}
+)
+
+qt4_automoc(${fqterm_SRCS}
+            ${3rdparty_SRCS}
+)
 
 qt4_create_translation(fqterm_qm_file
   ${fqterm_SRCS}
@@ -34,12 +61,14 @@
   ${CMAKE_CURRENT_SOURCE_DIR}/../utilities
   ${CMAKE_CURRENT_SOURCE_DIR}/../unite
   ${CMAKE_CURRENT_SOURCE_DIR}/../ui
+  ${CMAKE_CURRENT_SOURCE_DIR}/3rdparty
   ${CMAKE_CURRENT_BINARY_DIR}/../ui
   ${CMAKE_CURRENT_BINARY_DIR}
 )
 
 add_library(fqterm_main
   ${fqterm_SRCS}
+  ${3rdparty_SRCS}
 )
 
 add_dependencies(fqterm_main

=== src/protocol/CMakeLists.txt ===
--- 
+++ 
@@ -3,8 +3,6 @@
   fqterm_socket.h
   fqterm_ssh_socket.h
   fqterm_ssh_socket.cpp
-  fqterm_mini_server.h
-  fqterm_mini_server.cpp
 )
 
 set(internal_SRCS

=== src/terminal/CMakeLists.txt ===
set(export_SRCS
  fqterm_buffer.h
  fqterm_session.h
  fqterm_text_line.h
  fqterm_session.cpp
  fqterm_buffer.cpp
  fqterm_text_line.cpp
)

set(internal_SRCS
  internal/fqterm_decode.h
  internal/fqterm_telnet.h
  internal/fqterm_zmodem.h
  internal/fqterm_decode.cpp
  internal/fqterm_telnet.cpp
  internal/fqterm_zmodem.cpp
)

include_directories(
  ${QT_INCLUDE_DIR}
  ${QT_QTCORE_INCLUDE_DIR}
  ${QT_QTGUI_INCLUDE_DIR}
  ${QT_QTNETWORK_INCLUDE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/internal
  ${CMAKE_CURRENT_SOURCE_DIR}/../common
  ${CMAKE_CURRENT_SOURCE_DIR}/../utilities
  ${CMAKE_CURRENT_SOURCE_DIR}/../protocol
)

QT4_AUTOMOC(
  ${export_SRCS}
  ${internal_SRCS}
)

add_library(fqterm_terminal
  ${export_SRCS}
  ${internal_SRCS}
)

add_dependencies(fqterm_terminal
  fqterm_common
  fqterm_protocol
  fqterm_utilities
)

=== src/ui/CMakeLists.txt ===
--- 
+++ 
@@ -49,6 +49,8 @@
   sitemanager.cpp
   iplookup.h
   iplookup.cpp
+  defineescape.h
+  defineescape.cpp
 )
 
 set(fqterm_ui_gen_HS
@@ -65,6 +67,7 @@
   ui_sshlogin.h
   ui_zmodemdialog.h
   ui_iplookup.h
+  ui_defineescape.h
 )
 
 set(fqterm_ui_UIS
@@ -81,6 +84,7 @@
   sshlogin.ui
   zmodemdialog.ui
   iplookup.ui
+  defineescape.ui
 )
 
 qt4_wrap_ui(fqterm_ui_UIS_H

=== src/unite/CMakeLists.txt ===
set(fqunite_SRCS
  fqterm_mini_server.h
  fqterm_mini_server.cpp
)

set(fqunite_internal_SRCS
  internal/unite.h
  internal/user.h
  internal/user.cpp
  internal/board.h
  internal/board.cpp
  internal/article.h
  internal/article.cpp
  internal/session.h
  internal/session.cpp
)

qt4_automoc(
  ${fqunite_SRCS}
  ${fqunite_internal_SRCS}
)

include_directories(
  ${QT_INCLUDE_DIR}
  ${QT_QTCORE_INCLUDE_DIR}
  ${QT_QTNETWORK_INCLUDE_DIR}
  ${OPENSSL_INCLUDE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/internal
  ${CMAKE_CURRENT_SOURCE_DIR}/../common
  ${CMAKE_CURRENT_BINARY_DIR}
)

add_library(fqterm_unite
  ${fqunite_SRCS}
  ${fqunite_internal_SRCS}
)

add_dependencies(fqterm_unite
  fqterm_common
)

=== src/utilities/CMakeLists.txt ===
--- 
+++ 
@@ -2,11 +2,9 @@
   fqterm_convert.h
   fqterm_http.h
   fqterm_ip_location.h
-  fqterm_python.h
   fqterm_convert.cpp
   fqterm_http.cpp
   fqterm_ip_location.cpp
-  fqterm_python.cpp
 )
 
 set(fq_SRCS

=== debian/changelog ===
fqterm (0.9.6.10-1.1) unstable; urgency=low

  * Non maintainer upload.
  * Fix build failure with GCC 4.7. Closes: #667169.

 -- Matthias Klose <doko@debian.org>  Thu, 03 May 2012 23:33:18 +0200

fqterm (0.9.6.10-1) unstable; urgency=low

  * new upstream release. (closes: #643710)

 -- LI Daobing <lidaobing@debian.org>  Sat, 01 Oct 2011 15:46:55 +0800

fqterm (0.9.6.9-1) unstable; urgency=low

  * new upstream release. (closes: #558722, #643379)
  * debian/control:
    - update description (closes: #602603)
    - team maintain.
    - bump standards version to 3.8.4.
    - build depends on libx11-dev. 

 -- LI Daobing <lidaobing@debian.org>  Thu, 29 Sep 2011 00:19:40 +0800

=== debian/control ===
Source: fqterm
Section: x11
Priority: optional
Maintainer: Debian Chinese Team <chinese-developers@lists.alioth.debian.org>
Uploaders:
 LI Daobing <lidaobing@debian.org>
Build-Depends: cdbs, debhelper (>= 5), libqt4-dev, cmake,
 libglib2.0-dev, libssl-dev, libx11-dev
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/fqterm
Vcs-Browser: http://git.debian.org/?p=chinese/fqterm.git
Vcs-Git: git://git.debian.org/git/chinese/fqterm.git

Package: fqterm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: BBS client written in QT4
 FQTerm is one of the most widely used BBS client in China, it
 supports Telnet/SSH1/SSH2 protocols and can process ANSI control
 sequences. It can be used to login BBS sites or *NIX hosts.
 .
 Almost all the BBSes in Greater China Region are in BIG5 or GBK
 encoding. So FQTerm only support these two encodings and ASCII.

=== debian/rules ===
#!/usr/bin/make -f

DEB_CLEAN_EXCLUDE = res/userconf/address.cfg.orig res/userconf/fqterm.cfg.orig res/userconf/language.cfg.orig
  
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk

install/fqterm::
	rm -f debian/fqterm/usr/share/FQTerm/fqterm.sh
	rm -f debian/fqterm/usr/share/FQTerm/fqterm.desktop.in

=== debian/watch ===
version=3
http://code.google.com/p/fqterm/downloads/list \
http://fqterm.googlecode.com/files/fqterm-([\d.]+)\.tar\.gz

## fqterm 0.9.8.4

=== CMakeLists.txt ===
project(fqterm)

set(FQTERM_VERSION "0.9.8.4")
set(CMAKE_VERBOSE_MAKEFILE ON)
cmake_minimum_required(VERSION 3.0.0 FATAL_ERROR)

if(COMMAND cmake_policy)
  cmake_policy(SET CMP0003 NEW)
endif(COMMAND cmake_policy)

set(CMAKE_MODULE_PATH
  ${CMAKE_SOURCE_DIR}/cmake
)

set(CMAKE_COLOR_MAKEFILE ON)

include(GetGitRevisionDescription)
git_describe(MCGGIT_WC_REVISION)
IF(MCGGIT_WC_REVISION MATCHES "NOTFOUND")
  message("Version: " ${FQTERM_VERSION})
ELSE(MCGGIT_WC_REVISION MATCHES "NOTFOUND")
  message("Git revision: " ${MCGGIT_WC_REVISION})
ENDIF(MCGGIT_WC_REVISION MATCHES "NOTFOUND")

SET(USE_QT5 OFF CACHE PATH "Do the Qt5 build")

IF(USE_QT5)
  set(CMAKE_INCLUDE_CURRENT_DIR ON)
  set(CMAKE_AUTOMOC ON)
  find_package(Qt5Core REQUIRED)
  find_package(Qt5Widgets REQUIRED)
  find_package(Qt5LinguistTools REQUIRED)
  qt5_add_translation(fqterm_qm_files
    ${CMAKE_SOURCE_DIR}/res/dict/fqterm_zh_CN.ts
    ${CMAKE_SOURCE_DIR}/res/dict/ui_zh_CN.ts
    ${CMAKE_SOURCE_DIR}/res/dict/protocol_zh_CN.ts
    ${CMAKE_SOURCE_DIR}/res/dict/common_zh_CN.ts
    )
ELSE(USE_QT5)
  find_package(Qt4 COMPONENTS QtCore QtGui QtNetwork QtScript QtXml REQUIRED)
  include(${QT_USE_FILE})
  qt4_add_translation(fqterm_qm_files
    ${CMAKE_SOURCE_DIR}/res/dict/fqterm_zh_CN.ts
    ${CMAKE_SOURCE_DIR}/res/dict/ui_zh_CN.ts
    ${CMAKE_SOURCE_DIR}/res/dict/protocol_zh_CN.ts
    ${CMAKE_SOURCE_DIR}/res/dict/common_zh_CN.ts
    )
ENDIF(USE_QT5)

add_custom_target(fqterm_qm_target
  DEPENDS ${fqterm_qm_files}
)
FIND_PACKAGE(PythonLibs)
if (PYTHONLIBS_FOUND)
  SET(PYTHON_LIB ${PYTHON_LIBRARIES})
  INCLUDE_DIRECTORIES(${PYTHON_INCLUDE_PATH})
  ADD_DEFINITIONS(-DFOUND_PYTHON)
else (PYTHONLIBS_FOUND)
  SET(PYTHON_LIB)
endif (PYTHONLIBS_FOUND)

if (NOT USE_QT5)
  IF(WIN32)
    FILE(READ ${QT_LIBRARY_DIR}/QtCore.prl FQ_CORE_QT_CONFIG)
  ELSE(WIN32)
    IF(APPLE)
      FILE(READ ${QT_LIBRARY_DIR}/QtCore.framework/QtCore.prl FQ_CORE_QT_CONFIG)
    ELSE(APPLE)
      FILE(READ ${QT_LIBRARY_DIR}/libQtCore.prl FQ_CORE_QT_CONFIG)
    ENDIF(APPLE)
  ENDIF(WIN32)

  IF(NOT FQ_CORE_QT_CONFIG MATCHES "static")
    SET(FQTERM_USE_STATIC_QT false)
  ELSE(NOT FQ_CORE_QT_CONFIG MATCHES "static")
    SET(FQTERM_USE_STATIC_QT true)
  ENDIF(NOT FQ_CORE_QT_CONFIG MATCHES "static")
endif(NOT USE_QT5)

SET(SUB_CMAKELIST "UNKNOWN")

ADD_DEFINITIONS(-D "FQTERM_VERSION_STRING=\\\"${FQTERM_VERSION}\\\"")

# Before adding src directory, make sure all the necessary definitions
# are added
add_subdirectory(src)

set(FQTERM_LIBS
  fqterm_main
  fqterm_terminal
  fqterm_protocol
  fqterm_utilities
  fqterm_ui
  fqterm_unite
  fqterm_imageviewer
  fqterm_common
  )

IF(WIN32)
  IF(MINGW)
    SET(SUB_CMAKELIST "CMakeLists.txt.mingw")
  ELSE(MINGW)
    SET(SUB_CMAKELIST "CMakeLists.txt.win32")
  ENDIF(MINGW)
ELSE(WIN32)
  IF(APPLE)
    SET(SUB_CMAKELIST "CMakeLists.txt.macos")
  ELSE(APPLE)
    IF(UNIX)
      IF(CMAKE_SYSTEM_NAME MATCHES "Linux|kFreeBSD")
        SET(SUB_CMAKELIST "CMakeLists.txt.linux")
      ELSE(CMAKE_SYSTEM_NAME MATCHES "Linux|kFreeBSD")
		IF(CMAKE_SYSTEM_NAME MATCHES "FreeBSD")
		  SET(SUB_CMAKELIST "CMakeLists.txt.freebsd")
		ENDIF(CMAKE_SYSTEM_NAME MATCHES "FreeBSD")
      ENDIF(CMAKE_SYSTEM_NAME MATCHES "Linux|kFreeBSD")
    ENDIF(UNIX)
  ENDIF(APPLE)
ENDIF(WIN32)

IF(CMAKE_SYSTEM_NAME MATCHES "GNU")
  SET(SUB_CMAKELIST "CMakeLists.txt.linux")
ENDIF(CMAKE_SYSTEM_NAME MATCHES "GNU")

IF(SUB_CMAKELIST MATCHES "UNKNOWN")
  MESSAGE(FATAL_ERROR "Unsupported system type detected!")
ELSE(SUB_CMAKELIST MATCHES "UNKNOWN")
  INCLUDE("${SUB_CMAKELIST}")
ENDIF(SUB_CMAKELIST MATCHES "UNKNOWN")

=== src/CMakeLists.txt ===
add_subdirectory(common)
add_subdirectory(protocol)
add_subdirectory(ui)
add_subdirectory(terminal)
add_subdirectory(utilities)
add_subdirectory(unite)
add_subdirectory(fqterm)

=== src/fqterm/CMakeLists.txt ===
set(CMAKE_AUTOMOC ON)

set(fqterm_SRCS
  fqterm_app.h
  fqterm_frame.h
  fqterm_screen.h
  fqterm_window.h
  fqterm_wndmgr.h
  fqterm_app.cpp
  fqterm_frame.cpp
  fqterm_screen.cpp
  fqterm_window.cpp
  fqterm_wndmgr.cpp
  fqterm_python.h
  fqterm_python.cpp
  fqterm_scriptengine.h
  fqterm_scriptengine.cpp
)

IF(IMAGE_USE_PICFLOW)
  ADD_DEFINITIONS(-DIMAGE_USE_PICFLOW)
ELSE(IMAGE_USE_PICFLOW)
ENDIF(IMAGE_USE_PICFLOW)

IF(GLOBAL_HOTKEY EQUAL 1)
IF(WIN32)
  set(global_shortcut_impl_SRCS 3rdparty/qxtglobalshortcut_win.cpp)
ELSE(WIN32)
  IF(APPLE)
    set(global_shortcut_impl_SRCS 3rdparty/qxtglobalshortcut_mac.cpp)
  ELSE(APPLE)
    set(global_shortcut_impl_SRCS 3rdparty/qxtglobalshortcut_x11.cpp)
    IF(USE_QT5)
      find_package(Qt5X11Extras REQUIRED)
      set(QXTLIB Qt5::X11Extras)
    ENDIF(USE_QT5)
  ENDIF(APPLE)
ENDIF(WIN32)
set(GLOBAL_SHORTCUT_SRC
  ${global_shortcut_impl_SRCS}
  3rdparty/qxtglobalshortcut.cpp
  3rdparty/qxtglobalshortcut.h
  3rdparty/qxtglobalshortcut_p.h
  3rdparty/qxtglobal.h
)
ADD_DEFINITIONS(-DUSE_GLOBAL_HOTKEY)
ENDIF(GLOBAL_HOTKEY EQUAL 1)
  

set(3rdparty_SRCS
  3rdparty/dotnetstyle.cpp
  3rdparty/dotnetstyle.h
  3rdparty/uaocodec.h
  3rdparty/uaocodec.cpp
  ${GLOBAL_SHORTCUT_SRC}
)

if(USE_QT5)
  find_package(Qt5Core REQUIRED)
  find_package(Qt5Widgets REQUIRED)
  find_package(Qt5Network REQUIRED)
  find_package(Qt5Script REQUIRED)

  qt5_create_translation(fqterm_qm_file
    ${fqterm_SRCS}
    ${CMAKE_SOURCE_DIR}/res/dict/fqterm_zh_CN.ts
    )
else(USE_QT5)
  qt4_create_translation(fqterm_qm_file
    ${fqterm_SRCS}
    ${CMAKE_SOURCE_DIR}/res/dict/fqterm_zh_CN.ts
    )
endif(USE_QT5)

include_directories(
  ${QT_INCLUDE_DIR}
  ${QT_QTCORE_INCLUDE_DIR}
  ${QT_QTGUI_INCLUDE_DIR}
  ${QT_QTNETWORK_INCLUDE_DIR}
  ${QT_QTSCRIPT_INCLUDE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/../common
  ${CMAKE_CURRENT_SOURCE_DIR}/../protocol
  ${CMAKE_CURRENT_SOURCE_DIR}/../terminal
  ${CMAKE_CURRENT_SOURCE_DIR}/../utilities
  ${CMAKE_CURRENT_SOURCE_DIR}/../unite
  ${CMAKE_CURRENT_SOURCE_DIR}/../ui
  ${CMAKE_CURRENT_SOURCE_DIR}/../ui/imageviewer
  ${CMAKE_CURRENT_SOURCE_DIR}/3rdparty
  ${CMAKE_CURRENT_BINARY_DIR}/../ui
  ${CMAKE_CURRENT_BINARY_DIR}
)

add_library(fqterm_main
  ${fqterm_SRCS}
  ${3rdparty_SRCS}
)

add_dependencies(fqterm_main
  fqterm_common
  fqterm_terminal
  fqterm_protocol
  fqterm_ui
  fqterm_utilities
  fqterm_unite
)

if(USE_QT5)
  target_link_libraries(
    fqterm_main
    Qt5::Core
    Qt5::Widgets
    Qt5::Network
    Qt5::Script
    ${QXTLIB}
    )
endif(USE_QT5)

=== src/protocol/CMakeLists.txt ===
find_package(OpenSSL REQUIRED)
set(CMAKE_AUTOMOC ON)

set(export_SRCS
  fqterm_socket_private.cpp
  fqterm_socket.h
  fqterm_telnet_socket.cpp
  fqterm_telnet_socket.h
  fqterm_local_socket.cpp
  fqterm_local_socket.h
  fqterm_ssh_socket.h
  fqterm_ssh_socket.cpp
)

set(internal_SRCS
  internal/ssh_crypto_common.h
  internal/ssh_crypto_common.c
  internal/ssh_cipher.h
  internal/all_ciphers.c
  internal/ssh_evp_cipher.c
  internal/ssh_3des-ssh1.c
  internal/ssh_pubkey_crypto.h
  internal/ssh_pubkey_crypto.c
  internal/ssh_diffie-hellman.h
  internal/ssh_diffie-hellman.c
  internal/crc32.h
  internal/fqterm_serialization.h
  internal/fqterm_ssh_auth.h
  internal/fqterm_ssh_buffer.h
  internal/fqterm_ssh_const.h
  internal/fqterm_ssh_hash.h
  internal/fqterm_ssh_kex.h
  internal/fqterm_ssh2_kex.h
  internal/fqterm_ssh_mac.h
  internal/fqterm_ssh_md5.h
  internal/fqterm_ssh_packet.h
  internal/fqterm_ssh1_packet.h
  internal/fqterm_ssh2_packet.h
  internal/fqterm_ssh_channel.h
  internal/fqterm_ssh_types.h
  internal/crc32.cpp
  internal/fqterm_ssh_auth.cpp
  internal/fqterm_ssh_buffer.cpp
  internal/fqterm_ssh_kex.cpp
  internal/fqterm_ssh2_kex.cpp
  internal/fqterm_ssh_mac.cpp
  internal/fqterm_ssh_md5.cpp
  internal/fqterm_ssh_packet.cpp
  internal/fqterm_ssh1_packet.cpp
  internal/fqterm_ssh2_packet.cpp
  internal/fqterm_ssh_channel.cpp
)

if(USE_QT5)
  find_package(Qt5Core REQUIRED)
  find_package(Qt5Network REQUIRED)
else(USE_QT5)
endif(USE_QT5)

include_directories(
  ${QT_INCLUDE_DIR}
  ${QT_QTCORE_INCLUDE_DIR}
  ${QT_QTNETWORK_INCLUDE_DIR}
  ${OPENSSL_INCLUDE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/internal
  ${CMAKE_CURRENT_SOURCE_DIR}/../common
  ${CMAKE_CURRENT_BINARY_DIR}
)

add_library(fqterm_protocol
  ${export_SRCS}
  ${internal_SRCS}
)

add_dependencies(fqterm_protocol
  fqterm_common
)

if(USE_QT5)
  target_link_libraries(fqterm_protocol Qt5::Core Qt5::Network)
endif(USE_QT5)

=== src/terminal/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,5 @@
+set(CMAKE_AUTOMOC ON)
+
 set(export_SRCS
   fqterm_buffer.h
   fqterm_session.h
@@ -29,11 +31,6 @@
   ${CMAKE_CURRENT_SOURCE_DIR}/../protocol
 )
 
-QT4_AUTOMOC(
-  ${export_SRCS}
-  ${internal_SRCS}
-)
-
 add_library(fqterm_terminal
   ${export_SRCS}
   ${internal_SRCS}
@@ -44,3 +41,11 @@
   fqterm_protocol
   fqterm_utilities
 )
+
+if(USE_QT5)
+  find_package(Qt5Core REQUIRED)
+  find_package(Qt5Network REQUIRED)
+  find_package(Qt5Widgets REQUIRED)
+  target_link_libraries(fqterm_terminal Qt5::Core Qt5::Widgets Qt5::Network)
+else(USE_QT5)
+endif(USE_QT5)

=== src/unite/CMakeLists.txt ===
set(CMAKE_AUTOMOC ON)

set(fqunite_SRCS
  fqterm_mini_server.h
  fqterm_mini_server.cpp
)

set(fqunite_internal_SRCS
  internal/unite.h
  internal/user.h
  internal/user.cpp
  internal/board.h
  internal/board.cpp
  internal/article.h
  internal/article.cpp
  internal/session.h
  internal/session.cpp
  internal/state.h
  internal/state.cpp
  internal/statebuilder.h
  internal/statebuilder.cpp
)

include_directories(
  ${OPENSSL_INCLUDE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/internal
  ${CMAKE_CURRENT_SOURCE_DIR}/../common
  ${CMAKE_CURRENT_BINARY_DIR}
)

add_library(fqterm_unite
  ${fqunite_SRCS}
  ${fqunite_internal_SRCS}
)

if(USE_QT5)
  find_package(Qt5Core REQUIRED)
  find_package(Qt5Widgets REQUIRED)
  find_package(Qt5Network REQUIRED)
  find_package(Qt5Xml REQUIRED)
  target_link_libraries(fqterm_unite
    Qt5::Core
    Qt5::Widgets
    Qt5::Network
    Qt5::Xml
    )
else(USE_QT5)
endif(USE_QT5)

add_dependencies(fqterm_unite
  fqterm_common
)

=== debian/changelog ===
fqterm (0.9.8.4-1build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:49:20 +0000

fqterm (0.9.8.4-1) unstable; urgency=medium

  * New upstream release.
  * Add upstream changelog.
  * Refresh manpages; add Simplified Chinese manpage.

 -- Boyuan Yang <073plan@gmail.com>  Sun, 18 Dec 2016 23:29:14 +0800

fqterm (0.9.8.3.r4+git20161029-1) unstable; urgency=medium

  * New upstream snapshot.
    - Various buildsystem cleanup.
    - Add new function: raw packet capture.
    - Fix FTBFS with OpenSSL 1.1.0. (Closes: #828302)
  * Bump debhelper compat to v10.
  * Fix Vcs-Git typo.
  * Switch buildsystem: cdbs -> debhelper v10.
  * Switch to build against Qt5.
  * Add new upstream docs.

 -- Boyuan Yang <073plan@gmail.com>  Sat, 29 Oct 2016 16:13:00 +0800

fqterm (0.9.8.3.r4-1) unstable; urgency=medium

  * Team upload.
  * Add myself into uploaders list.
  * New upstream release.
    - Fix build failure with GCC 6. (Closes: #811872)
  * Remove LI Daobing from uploader list.
    Thanks for all your contribution! (Closes: #841806)
  * Bump Standards-Version to 3.9.8, no change needed.
  * d/control: Move project homepage from Google Code to GitHub.
  * d/control: Fix debian/watch file url.
  * d/control: Make Vcs field canonical.
  * d/copyright: Update information and grammar fix.
  * debian: Remove legacy menu file.
  * debian: Apply `wrap-and-sort -abst'.
  * d/patches: Drop outdated gcc-4.7 related patch.
  * d/compat: 5 -> 9

 -- Boyuan Yang <073plan@gmail.com>  Wed, 26 Oct 2016 00:49:00 +0800

=== debian/control ===
Source: fqterm
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Chinese Team <chinese-developers@lists.alioth.debian.org>
Uploaders:
 Boyuan Yang <073plan@gmail.com>,
Build-Depends:
 cmake,
 debhelper (>= 10),
 libglib2.0-dev,
 libssl-dev,
 libx11-dev,
 qtbase5-dev,
 qttools5-dev,
 qttools5-dev-tools,
 qtmultimedia5-dev,
 qtscript5-dev,
Standards-Version: 3.9.8
Homepage: https://github.com/mytbk/fqterm
Vcs-Browser: https://anonscm.debian.org/git/chinese/fqterm.git
Vcs-Git: https://anonscm.debian.org/git/chinese/fqterm.git

Package: fqterm
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: BBS client written in Qt
 FQTerm is one of the most widely used BBS client in China, it
 supports Telnet/SSH1/SSH2 protocols and can process ANSI control
 sequences. It can be used to login BBS sites or *NIX hosts.
 .
 Almost all the BBSes in Greater China Region are in BIG5 or GBK
 encoding. So FQTerm only support these two encodings and ASCII.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export QT_SELECT := 5

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DUSE_QT5=1

override_dh_auto_install:
	dh_auto_install --
	rm -f debian/fqterm/usr/share/FQTerm/fqterm.sh
	rm -f debian/fqterm/usr/share/FQTerm/fqterm.desktop.in
	rm -f debian/fqterm/usr/share/FQTerm/dict/*.ts

override_dh_clean:
	dh_clean \
	    -Xaddress.cfg.orig \
	    -Xfqterm.cfg.orig  \
	    -Xlanguage.cfg.orig --

override_dh_installchangelogs:
	dh_installchangelogs
	dh_installchangelogs --keep CHANGELOG.rst

=== debian/watch ===
version=4

opts="" https://github.com/mytbk/fqterm/tags (?:.*?/)?v?(\d[\d.]*\.?r?[\d]*)\.tar\.gz debian uupdate

## fqterm 0.9.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(fqterm)
 
-set(FQTERM_VERSION "0.9.8.4")
+set(FQTERM_VERSION "0.9.9")
 set(CMAKE_VERBOSE_MAKEFILE ON)
 cmake_minimum_required(VERSION 3.0.0 FATAL_ERROR)
 
@@ -91,7 +91,6 @@
   fqterm_protocol
   fqterm_utilities
   fqterm_ui
-  fqterm_unite
   fqterm_imageviewer
   fqterm_common
   )

=== src/fqterm/CMakeLists.txt ===
--- 
+++ 
@@ -82,7 +82,6 @@
   ${CMAKE_CURRENT_SOURCE_DIR}/../protocol
   ${CMAKE_CURRENT_SOURCE_DIR}/../terminal
   ${CMAKE_CURRENT_SOURCE_DIR}/../utilities
-  ${CMAKE_CURRENT_SOURCE_DIR}/../unite
   ${CMAKE_CURRENT_SOURCE_DIR}/../ui
   ${CMAKE_CURRENT_SOURCE_DIR}/../ui/imageviewer
   ${CMAKE_CURRENT_SOURCE_DIR}/3rdparty
@@ -101,7 +100,6 @@
   fqterm_protocol
   fqterm_ui
   fqterm_utilities
-  fqterm_unite
 )
 
 if(USE_QT5)

=== src/protocol/CMakeLists.txt ===
--- 
+++ 
@@ -13,38 +13,34 @@
 )
 
 set(internal_SRCS
+  internal/buffer.c
+  internal/ssh_rsa.c
   internal/ssh_crypto_common.h
   internal/ssh_crypto_common.c
   internal/ssh_cipher.h
   internal/all_ciphers.c
   internal/ssh_evp_cipher.c
   internal/ssh_3des-ssh1.c
+  internal/ssh_mac.h
+  internal/ssh_mac.c
   internal/ssh_pubkey_crypto.h
   internal/ssh_pubkey_crypto.c
   internal/ssh_diffie-hellman.h
   internal/ssh_diffie-hellman.c
-  internal/crc32.h
-  internal/fqterm_serialization.h
+  internal/crc32.c
+  internal/ssh_packet.c
   internal/fqterm_ssh_auth.h
-  internal/fqterm_ssh_buffer.h
   internal/fqterm_ssh_const.h
-  internal/fqterm_ssh_hash.h
   internal/fqterm_ssh_kex.h
   internal/fqterm_ssh2_kex.h
-  internal/fqterm_ssh_mac.h
-  internal/fqterm_ssh_md5.h
   internal/fqterm_ssh_packet.h
   internal/fqterm_ssh1_packet.h
   internal/fqterm_ssh2_packet.h
   internal/fqterm_ssh_channel.h
   internal/fqterm_ssh_types.h
-  internal/crc32.cpp
   internal/fqterm_ssh_auth.cpp
-  internal/fqterm_ssh_buffer.cpp
   internal/fqterm_ssh_kex.cpp
   internal/fqterm_ssh2_kex.cpp
-  internal/fqterm_ssh_mac.cpp
-  internal/fqterm_ssh_md5.cpp
   internal/fqterm_ssh_packet.cpp
   internal/fqterm_ssh1_packet.cpp
   internal/fqterm_ssh2_packet.cpp

=== debian/changelog ===
fqterm (0.9.9-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:14:27 +0100

fqterm (0.9.9-2) unstable; urgency=medium

  * Apply fixes to debian/copyright file from "cme fix dpkg".
  * Update my uploader email address and use the @debian.org one.
  * Bump Standards-Version to 4.2.1 (no changes needed).

 -- Boyuan Yang <byang@debian.org>  Tue, 28 Aug 2018 13:30:35 -0400

fqterm (0.9.9-1) unstable; urgency=medium

  * New upstream release.
  * d/control: Revert maintainer address to chinese-developers@lists.a.d.o.
  * d/patches: Backport upstream trunk commit till 2018-06-08.
    - Fix FTBFS with prospective Qt 5.11.

 -- Boyuan Yang <073plan@gmail.com>  Thu, 14 Jun 2018 19:54:09 +0800

fqterm (0.9.8.7-1) unstable; urgency=medium

  * New upstream release.
  * Fix previous typo in Vcs field.
  * d/docs: Update doc list.

 -- Boyuan Yang <073plan@gmail.com>  Sat, 12 May 2018 16:47:15 +0800

fqterm (0.9.8.5-1) unstable; urgency=medium

  * New upstream release.
  * d/control: Bump debhelper compat to v11.
  * d/control: Bump Standards-Version to 4.1.4 (no changes needed).
  * d/rules: Use "dh_missing --fail-missing".
  * d/control: Use Salsa repo in Vcs fields.
  * d/changelog: Remove trailing spaces.
  * d/copyright: Refresh information.

 -- Boyuan Yang <073plan@gmail.com>  Sat, 28 Apr 2018 23:15:58 +0800

=== debian/control ===
Source: fqterm
Section: x11
Priority: optional
Maintainer: Debian Chinese Team <chinese-developers@lists.alioth.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 cmake,
 debhelper (>= 11~),
 libglib2.0-dev,
 libssl-dev,
 libx11-dev,
 qtbase5-dev,
 qttools5-dev,
 qttools5-dev-tools,
 qtmultimedia5-dev,
 qtscript5-dev,
Standards-Version: 4.2.1
Homepage: https://github.com/mytbk/fqterm
Vcs-Browser: https://salsa.debian.org/chinese-team/fqterm
Vcs-Git: https://salsa.debian.org/chinese-team/fqterm.git

Package: fqterm
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: BBS client written in Qt
 FQTerm is one of the most widely used BBS client in China, it
 supports Telnet/SSH1/SSH2 protocols and can process ANSI control
 sequences. It can be used to login BBS sites or *NIX hosts.
 .
 Almost all the BBSes in Greater China Region are in BIG5 or GBK
 encoding. So FQTerm only support these two encodings and ASCII.

=== debian/rules ===
--- 
+++ 
@@ -29,3 +29,6 @@
 override_dh_installchangelogs:
 	dh_installchangelogs
 	dh_installchangelogs --keep CHANGELOG.rst
+
+override_dh_missing:
+	dh_missing --fail-missing
